import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class SelectPictureDialog extends StatefulWidget {
  SelectPictureDialog({
    required this.onPress,
    this.id = 0,
    Key? key,
    this.customColor,
  }) : super(key: key);
  int id;
  Function(int) onPress;
  Color? customColor;

  @override
  State<SelectPictureDialog> createState() => _SelectPictureDialogState();
}

class _SelectPictureDialogState extends State<SelectPictureDialog> {
  List<String> items = ["更换头像", "查看大图"];

  @override
  Widget build(BuildContext context) {
    return Container(
      height: 130,
      decoration: BoxDecoration(
          color: widget.customColor ?? const Color(0xFF141624), // 底色
          borderRadius: const BorderRadius.only(
              topLeft: Radius.circular(12), topRight: Radius.circular(12))),
      alignment: Alignment.bottomCenter,
      child: ListView.builder(
          itemExtent: 65,
          itemCount: items.length,
          itemBuilder: (BuildContext context, int index) {
            return GestureDetector(
              onTap: () {
                Navigator.of(context).pop();
                widget.onPress(index).call();
              },
              child: Container(
                color: Colors.transparent,
                child: Center(
                  child: Text(
                    items[index],
                    style: const TextStyle(color: Colors.white),
                  ),
                ),
              ),
            );
          }),
    );
  }
}
